@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD ALL DIFFERENT TI89 VERSIONS AND 
REM COPIES THEM IN THE CORRESPONDING DIRECTORIES
REM ===========================================================================
REM ===========================================================================


REM ===========================================================================
echo ----------------------------------------
echo building TI89 NOSTUB version ...
echo ----------------------------------------
tigcc -DAUTO_BUILD -DCOMPILE_FOR_DOORS=0 -DTI89_VERSION=1 -O2 tichess.c gray.o
copy tichess.89z ..\build\ti89\nostub
del tichess.o
del tichess.89z


REM ===========================================================================
echo ----------------------------------------
echo building TI89 DOORSOS version ...
echo ----------------------------------------
tigcc -DAUTO_BUILD -DCOMPILE_FOR_DOORS=1 -DTI89_VERSION=1 -O2 tichess.c
copy tichess.89z ..\build\ti89\doors
del tichess.o
del tichess.89z


@echo on
