@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD ALL DIFFERENT TI92P VERSIONS AND 
REM COPIES THEM IN THE CORRESPONDING DIRECTORIES
REM ===========================================================================
REM ===========================================================================

REM ===========================================================================
echo ----------------------------------------
echo building TI92 NOSTUB version ...
echo ----------------------------------------
tigcc -DAUTO_BUILD -DCOMPILE_FOR_DOORS=0 -DTI92_VERSION=1 -O2 tichess.c gray.o
copy tichess.9xz ..\build\ti92p\nostub
del tichess.o
del tichess.9xz


REM ===========================================================================
echo ----------------------------------------
echo building TI92 DOORSOS version ...
echo ----------------------------------------
tigcc -DAUTO_BUILD -DCOMPILE_FOR_DOORS=1 -DTI92_VERSION=1 -O2 tichess.c
copy tichess.9xz ..\build\ti92p\doors
del tichess.o
del tichess.9xz

@echo on
