/******************************************************************************
*
* project name:    TICHESS
* project version: 1.10
* file name:       gray.h
* file version:    1.00
* initial date:    07/03/2000
* author:          Zeljko Juric (zjuric@utic.net.ba)
* description:     new version of gray.h from the upcoming TIGCC LIB 1.5)
*
*    THANX TO ZELJKO JURIC WHO PROVIDES ME WITH THIS PRE-RELEASE VERSION 
*
* -----------------------------------------------------------------------------
* Revision History
* -----------------------------------------------------------------------------
*
* v1.00: 10/03/2000
*        initial version
*
******************************************************************************/

#ifndef __GRAY
#define __GRAY

#ifndef NOSTUB
#ifndef DOORS
#error: Neither "nostub.h" nor "doors.h" is included!
#endif
#endif

#ifndef __BOOL
#define __BOOL

enum Bool {FALSE,TRUE};

#endif

#define GrayMode __gm
#define GetPlane(x) ((x)?__gp1:__gp0)

#ifdef DOORS
#define SetPlane(x) ((void)_rom_call(void,(),1A2)((x)?__gp1:__gp0,239,127))
#else
#define SetPlane(x) ((void)_rom_call(void,(),1A2)((x)?__gp1:__gp0,0xEF007F))
#endif

enum GrayModes {GRAY_OFF,GRAY_ON=1,GRAY_HW1=1,GRAY_HW2=1};

int GrayMode(int);
extern void *__gp0,*__gp1;

#endif
